#!/bin/sh
set -e

ABS_BUILDDIR='@ABS_BUILDDIR@'
ABS_SRCDIR='@ABS_SRCDIR@'

if [ "${PHOG_VALGRIND}" = 1 ]; then
   echo "Running phog under valgrind"
   WRAPPER="valgrind -v              \
           --tool=memcheck           \
           --leak-check=full         \
           --leak-resolution=high    \
           --num-callers=40          \
           --log-file=vgdump         \
           --suppressions=${ABS_SRCDIR}/data/valgrind.suppressions \
           --suppressions=/usr/share/glib-2.0/valgrind/glib.supp \
   "
elif [ "${PHOG_GDB}" = 1 ]; then
    echo "Running phog under gdb"
    WRAPPER="gdb --args"
elif [ "${PHOG_AUTO_GDB}" = 1 ]; then
    echo "Running phog under gdb"
    WRAPPER="gdb -batch -ex run -ex bt --args"
fi


export GSETTINGS_SCHEMA_DIR="${ABS_BUILDDIR}/data:${GSETTINGS_SCHEMA_DIR}"

[ -n "${G_MESSAGES_DEBUG}" ] || G_MESSAGES_DEBUG=all
export G_MESSAGES_DEBUG

if [ -z "${GSETTINGS_BACKEND}" ]; then
  # Make sure we don't mess with the systems gsettings:
  export GSETTINGS_BACKEND=memory
fi
set -x
exec ${WRAPPER} "${ABS_BUILDDIR}/src/phog" -U $@
